#
# spec file for package gstreamer-plugins-bad-codecs
#

%define _name gst-plugins-bad
%define gst_branch 1.0
%define _version 1.24.0

Name:           gstreamer-plugins-bad-codecs
Version:        1.24.11
Release:        1699.1.pm.1
Summary:        Codecs/plugins for gstreamer-plugins-bad
License:        LGPL-2.1-or-later
Group:          Productivity/Multimedia/Other
URL:            https://gstreamer.freedesktop.org
Source:         %{url}/src/%{_name}/%{_name}-%{version}.tar.xz
Source99:       baselibs.conf
Patch:          build_what_we_need_only.patch

BuildRequires:  c++_compiler
BuildRequires:  faac-devel
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  orc >= 0.4.11
BuildRequires:  pkgconfig
BuildRequires:  python3-base
BuildRequires:  pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:  pkgconfig(faad2)
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0) >= %{_version}
BuildRequires:  pkgconfig(gstreamer-allocators-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0) >= %{_version}
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0) >= %{_version}
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= %{_version}
BuildRequires:  pkgconfig(gstreamer-video-1.0) >= %{_version}
BuildRequires:  pkgconfig(gstreamer-codecparsers-1.0) >= %{_version}
BuildRequires:  pkgconfig(libde265) >= 0.9
BuildRequires:  pkgconfig(libopenaptx)
BuildRequires:  pkgconfig(librtmp)
BuildRequires:  pkgconfig(x265)

Provides:       gstreamer-plugins-bad-orig-addon = %{version}
Obsoletes:      gstreamer-plugins-bad-orig-addon < 1.18.6
Requires:       gstreamer-plugins-bad >= %{_version}
Supplements:    gstreamer-plugins-bad

%description
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new
plug-ins.

%prep
%autosetup -n %{_name}-%{version} -p1

%build
%meson \
	--auto-features=disabled \
	-Dpackage-name='Packman GStreamer-plugins-bad-codecs' \
	-Dpackage-origin='https://pmbs.links2linux.de' \
	-Dlibde265=enabled \
	-Dgpl=enabled \
	-Dorc=enabled \
	-Dfaac=enabled \
	-Dfaad=enabled \
	-Drtmp=enabled \
	-Dx265=enabled \
	-Dopenaptx=enabled \
	%{nil}
%meson_build

%install
%meson_install

# Nuke pc file built in gstreamer-plugins-bad in distro
rm -rv %{buildroot}%{_libdir}/pkgconfig/

%files
%license COPYING
%{_libdir}/gstreamer-%{gst_branch}/libgstde265.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstopenaptx.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtmp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstx265.so

%changelog
* Sat Jan 11 2025 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.24.11
* Mon Dec  9 2024 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.24.10
* Thu Nov  7 2024 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.24.9
* Sat Sep 28 2024 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.24.8
* Sat Aug 24 2024 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.24.7
* Mon Aug  5 2024 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.24.6
* Fri Jun 28 2024 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.24.5
- Drop vo-aacencoder plugin.
* Sun Mar 24 2024 Bjørn Lie <zaitor@opensuse.org>
- Disable libmodplug - missing 32bit support.
* Wed Nov 22 2023 Bjørn Lie <zaitor@opensuse.org>
- Stop building siren and resindvd, now available in main
  gstreamer-plugins-bad package.
* Mon Nov 20 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.7
* Fri Sep 22 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.6
* Sat Aug 12 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.5
* Sat Jul  1 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.4
* Thu May 25 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.3
* Mon Apr 24 2023 Bjørn Lie <zaitor@opensuse.org>
- Add pkgconfig(libopenaptx) BuildRequires, build the
  libgstopenaptx.so plugin.
- Add pkgconfig(vo-aacenc) BuildRequires, build the voaacenc.so
  plugin.
* Fri Apr 14 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.2
- Add build_what_we_need_only.patch: Make the build even smaller.
* Sat Apr  1 2023 Bjørn Lie <zaitor@opensuse.org>
- Remove dts and voamrwbenc plugins now available in distro.
* Mon Mar 13 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.1
* Tue Feb  7 2023 Simon Vogl <simon.vogl@gmx.net>
- Removed the openh264 gstreamer plugin as openSUSE now ships the
  openh264 gstreamer plugin themselves:
  https://news.opensuse.org/2023/01/24/opensuse-simplifies-codec-install/
* Thu Jan 26 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.0
* Fri Dec 23 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.20.5
* Wed Oct 26 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.20.4
* Sat Jun 25 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.20.3
* Tue May 17 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.20.2
* Sat Mar 26 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.20.1
* Fri Feb  4 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.18.6
- Add explicit gstreamer-plugins-bad Requires.
* Sun Jan 30 2022 Bjørn Lie <zaitor@opensuse.org>
- Limit Obsolete of orig-addon to version 1.18.5 and older.
* Sat Jan 29 2022 Bjørn Lie <zaitor@opensuse.org>
- Obsoletes all versions on orig-addon.
- Add Supplements.
* Wed Jan 26 2022 Bjørn Lie <zaitor@opensuse.org>
- Drop fkd-aac, now built in distro main package.
* Thu Oct  7 2021 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.18.5
* Fri Aug 27 2021 zaitor@opensuse.org
- Inital build for Packman.
